Debian Bug report logs - #711446
libgraph-writer-graphviz-perl: FTBFS with perl 5.18: test failure

version graph

Package: src:libgraph-writer-graphviz-perl; Maintainer for src:libgraph-writer-graphviz-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>;

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Thu, 6 Jun 2013 21:45:05 UTC

Severity: serious

Tags: jessie, sid

Found in version libgraph-writer-graphviz-perl/0.11-1

Fixed in version libgraph-writer-graphviz-perl/0.11-1nmu1

Done: Ian Jackson <ijackson@chiark.greenend.org.uk>

Bug is archived. No further changes may be made.

Forwarded to http://rt.cpan.org/Public/Bug/Display.html?id=85950

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#711446; Package src:libgraph-writer-graphviz-perl. (Thu, 06 Jun 2013 21:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Thu, 06 Jun 2013 21:45:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: libgraph-writer-graphviz-perl: FTBFS with perl 5.18: test failure
Date: Thu, 6 Jun 2013 22:44:00 +0100
Source: libgraph-writer-graphviz-perl
Version: 0.11-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.18-transition
Tags: sid jessie

This package FTBFS with perl 5.18 from experimental (in a clean sbuild
session):

#   Failed test at t/1.simple.t line 23.
# Looks like you failed 1 test of 1.
t/1.simple.t .. 
Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/1 subtests 

#   Failed test at t/2.ioall.t line 31.
# Looks like you failed 1 test of 2.
t/2.ioall.t ... 
Failed 2/3 test programs. 2/4 subtests failed.
Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/2 subtests 

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)



Set Bug forwarded-to-address to 'https://rt.cpan.org/Public/Bug/Display.html?id=41776'. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 07 Jun 2013 18:30:09 GMT) Full text and rfc822 format available.

Unset Bug forwarded-to-address Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 07 Jun 2013 18:33:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#711446; Package src:libgraph-writer-graphviz-perl. (Fri, 07 Jun 2013 18:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 07 Jun 2013 18:57:09 GMT) Full text and rfc822 format available.

Message #14 received at 711446@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Dominic Hargreaves <dom@earth.li>, 711446@bugs.debian.org
Subject: Re: Bug#711446: libgraph-writer-graphviz-perl: FTBFS with perl 5.18: test failure
Date: Fri, 7 Jun 2013 20:54:51 +0200
[Message part 1 (text/plain, inline)]
On Thu, 06 Jun 2013 22:44:00 +0100, Dominic Hargreaves wrote:

> This package FTBFS with perl 5.18 from experimental (in a clean sbuild
> session):
> 
> #   Failed test at t/1.simple.t line 23.
> # Looks like you failed 1 test of 1.
> t/1.simple.t .. 
> Dubious, test returned 1 (wstat 256, 0x100)
> Failed 1/1 subtests 

With some debugging:

# prove --blib t/1.simple.t
t/1.simple.t .. 1/1 
#   Failed test at t/1.simple.t line 23.
#          got: 'digraph test {
#   graph [ratio=fill];
#   node [label="\N", color=black];
#   edge [color=black];
#   graph [bb="0,0,0,0"];
#   Bob [label=Bob, pos="0,0", width="0.0", height="0.0"];
#   Dr [label=Dr, pos="0,0", width="0.0", height="0.0"];
#   Crude [label=Crude, pos="0,0", width="0.0", height="0.0"];
#   Alice [label=Alice, pos="0,0", width="0.0", height="0.0"];
# }
# '
#     expected: 'digraph test {
#   graph [ratio=fill];
#   node [label="\N", color=black];
#   edge [color=black];
#   graph [bb="0,0,0,0"];
#   Bob [label=Bob, pos="0,0", width="0.0", height="0.0"];
#   Dr [label=Dr, pos="0,0", width="0.0", height="0.0"];
#   Alice [label=Alice, pos="0,0", width="0.0", height="0.0"];
#   Crude [label=Crude, pos="0,0", width="0.0", height="0.0"];
# }
# '
# Looks like you failed 1 test of 1.
t/1.simple.t .. Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/1 subtests 

Hash randomization at work somewhere? Next try:

# prove --blib t/1.simple.t
t/1.simple.t .. 1/1 
#   Failed test at t/1.simple.t line 23.
#          got: 'digraph test {
#   graph [ratio=fill];
#   node [label="\N", color=black];
#   edge [color=black];
#   graph [bb="0,0,0,0"];
#   Alice [label=Alice, pos="0,0", width="0.0", height="0.0"];
#   Dr [label=Dr, pos="0,0", width="0.0", height="0.0"];
#   Bob [label=Bob, pos="0,0", width="0.0", height="0.0"];
#   Crude [label=Crude, pos="0,0", width="0.0", height="0.0"];
# }
# '
#     expected: 'digraph test {
#   graph [ratio=fill];
#   node [label="\N", color=black];
#   edge [color=black];
#   graph [bb="0,0,0,0"];
#   Bob [label=Bob, pos="0,0", width="0.0", height="0.0"];
#   Dr [label=Dr, pos="0,0", width="0.0", height="0.0"];
#   Alice [label=Alice, pos="0,0", width="0.0", height="0.0"];
#   Crude [label=Crude, pos="0,0", width="0.0", height="0.0"];
# }
# '
# Looks like you failed 1 test of 1.
t/1.simple.t .. Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/1 subtests 

Yup, the order changes again.

Maybe caused by libgraph-perl ...?

The $g (Graph object) in t/1.simple.t looks like:

bless( [
#   0,
#   4,
#   bless( [
#     4,
#     152,
#     1,
#     {
#       '0' => 'Alice',
#       '1' => 'Bob',
#       '2' => 'Crude',
#       '3' => 'Dr'
#     },
#     {
#       'Alice' => 0,
#       'Bob' => 1,
#       'Crude' => 2,
#       'Dr' => 3
#     },
#     {},
#     $VAR1
#   ], 'Graph::AdjacencyMap::Light' ),
#   bless( [
#     0,
#     128,
#     2,
#     {},
#     {},
#     {},
#     $VAR1
#   ], 'Graph::AdjacencyMap::Light' )
# ], 'Graph' )



Forwarding the bug upstream now ...


Cheers,
gregor


-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Bob Dylan: Mr.Tambourine Man
[signature.asc (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'http://rt.cpan.org/Public/Bug/Display.html?id=85950'. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 07 Jun 2013 18:57:11 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Tue, 13 Aug 2013 12:21:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#711446; Package src:libgraph-writer-graphviz-perl. (Sun, 05 Jan 2014 18:36:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 05 Jan 2014 18:36:10 GMT) Full text and rfc822 format available.

Message #23 received at 711446@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 711436@bugs.debian.org, 711444@bugs.debian.org, 711446@bugs.debian.org, 711604@bugs.debian.org, 711614@bugs.debian.org, 711615@bugs.debian.org, 720018@bugs.debian.org, 720271@bugs.debian.org
Subject: Re: Hash randomization test failures
Date: Sun, 5 Jan 2014 18:15:20 +0000
On Sun, Jan 05, 2014 at 06:03:45PM +0000, Dominic Hargreaves wrote:
> On Sun, Jan 05, 2014 at 07:10:46PM +0200, Niko Tyni wrote:
> > Also, at the risk of stating the obvious: I don't think we can tell
> > whether a build failure is caused by functional breakage or just test
> > suite fragility without looking at the code, right? The code could
> > actually be relying on the old hash behaviour, and that could cause very
> > similar sporadic test suite failures.
> 
> Yes, absolutely. From the packages I've looked at it's generally fairly
> obvious if the breakage is caused by assumptions in the test suite, though,
> as opposed to in the functional code.
> 
> > > #711428 libcgi-application-plugin-authentication-perl
> > > #711436 libdbix-abstract-perl
> > > #711444 libgraph-readwrite-perl
> > > #711446 libgraph-writer-graphviz-perl
> > > #711604 libmime-lite-html-perl
> > > #711614 libscriptalicious-perl
> > > #711615 libsearch-estraier-perl
> > > #720018 libhtml-wikiconverter-moinmoin-perl
> > > #720271 libnet-jabber-perl

So this package needs to be checked to see whether the test failures
are definitely random, and that the random breakage is purely in the test
suite. If so, the severity of this bug can be downgraded to important.

Dominic.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#711446; Package src:libgraph-writer-graphviz-perl. (Fri, 07 Feb 2014 18:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 07 Feb 2014 18:18:04 GMT) Full text and rfc822 format available.

Message #28 received at 711446@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 711446@bugs.debian.org
Subject: libgraph-writer-graphviz-perl: FTBFS with perl 5.18: test failure
Date: Fri, 7 Feb 2014 18:14:54 +0000
I intend to look into this bug and perhaps fix it.  If I fix it I will
do an NMU.[1]  I did read the Perl team wiki on git usage but I don't
want to learn a new workflow.

Ian.

[1] I will use dgit, in case any of you care.  If you don't like dgit
then fine, ignore it, and pretend I did an NMU without the use of git.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#711446; Package src:libgraph-writer-graphviz-perl. (Sat, 08 Feb 2014 17:58:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 08 Feb 2014 17:58:06 GMT) Full text and rfc822 format available.

Message #33 received at 711446@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 711446@bugs.debian.org
Cc: Ian Jackson <ijackson@chiark.greenend.org.uk>
Subject: [PATCH 2/2] Tests: Sort the keywords in the graph output
Date: Sat, 8 Feb 2014 17:56:03 +0000
They come out in hash order which is not necessarily stable.
Fixes FTBFS with perl 5.18 (Debian #711446, CPAN #85950).

Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
---
 t/TestUtils.pl |    5 +++++
 1 file changed, 5 insertions(+)

diff --git a/t/TestUtils.pl b/t/TestUtils.pl
index 4fec3d3..9338667 100644
--- a/t/TestUtils.pl
+++ b/t/TestUtils.pl
@@ -3,6 +3,11 @@ sub launder ($) {
     my ($gr) = @_;
     # Ignore font-sizes, it's system-dependant
     $$gr =~ s/\d+/0/g;
+    # Sort the keywords in the graph output, as they come out
+    # in hash order which isn't necessarily stable.
+    $$gr =~ s{((?:\s+.*\n)+)}{
+        join "\n", sort split /\n/, $1
+    }ge;
 }
 
 1;
-- 
1.7.10.4




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#711446; Package src:libgraph-writer-graphviz-perl. (Sat, 08 Feb 2014 17:58:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 08 Feb 2014 17:58:10 GMT) Full text and rfc822 format available.

Message #38 received at 711446@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 711446@bugs.debian.org
Cc: Ian Jackson <ijackson@chiark.greenend.org.uk>
Subject: [PATCH 1/2] Tests: Provide a TestUtils.pl containing broken-out launder() function
Date: Sat, 8 Feb 2014 17:56:02 +0000
The code for laundering font sizes was duplicated between the tests.
Instead, break it out into a common function launder() in a new file
t/TestUtils.pl (which exists just for the tests).

Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>

squash! Tests: Provide a Test.pm containing
---
 MANIFEST       |    1 +
 t/1.simple.t   |    6 +++---
 t/2.ioall.t    |    7 ++++---
 t/TestUtils.pl |    8 ++++++++
 4 files changed, 16 insertions(+), 6 deletions(-)
 create mode 100644 t/TestUtils.pl

diff --git a/MANIFEST b/MANIFEST
index 749c521..68c47e7 100644
--- a/MANIFEST
+++ b/MANIFEST
@@ -14,3 +14,4 @@ README
 t/0.use.t
 t/1.simple.t
 t/2.ioall.t
+t/TestUtils.pl
diff --git a/t/1.simple.t b/t/1.simple.t
index 952a07b..66fb1e2 100644
--- a/t/1.simple.t
+++ b/t/1.simple.t
@@ -6,6 +6,7 @@ use Test::Simple tests => 1;
 use IO::All;
 use Graph;
 use Graph::Writer::GraphViz;
+require 't/TestUtils.pl';
 
 my @v = qw/Alice Bob Crude Dr/;
 my $g = Graph->new;
@@ -17,9 +18,8 @@ $wr->write_graph($g,'t/graph.simple.dot');
 $/ = undef;
 my $g1 = <DATA>;
 my $g2 = io('t/graph.simple.dot')->slurp;
-# Ignore font-sizes, it's system-dependant
-$g1 =~ s/\d+/0/g;
-$g2 =~ s/\d+/0/g;
+launder(\$g1);
+launder(\$g2);
 ok($g1 eq $g2);
 unlink('t/graph.simple.dot');
 
diff --git a/t/2.ioall.t b/t/2.ioall.t
index f18fff8..a489445 100644
--- a/t/2.ioall.t
+++ b/t/2.ioall.t
@@ -6,6 +6,7 @@ use Test::Simple tests => 2;
 use IO::All;
 use Graph;
 use Graph::Writer::GraphViz;
+require 't/TestUtils.pl';
 
 my @v = qw/Alice Bob Crude Dr/;
 my $g = Graph->new;
@@ -25,9 +26,9 @@ $g2 = $io->slurp;
 }
 
 ok(-f 't/graph.ioall.dot');
-# Ignore font-sizes, it's system-dependant
-$g1 =~ s/\d+/0/g;
-$g2 =~ s/\d+/0/g;
+
+launder(\$g1);
+launder(\$g2);
 ok($g1 eq $g2);
 $io->unlink;
 
diff --git a/t/TestUtils.pl b/t/TestUtils.pl
new file mode 100644
index 0000000..4fec3d3
--- /dev/null
+++ b/t/TestUtils.pl
@@ -0,0 +1,8 @@
+
+sub launder ($) {
+    my ($gr) = @_;
+    # Ignore font-sizes, it's system-dependant
+    $$gr =~ s/\d+/0/g;
+}
+
+1;
-- 
1.7.10.4




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#711446; Package src:libgraph-writer-graphviz-perl. (Sat, 08 Feb 2014 18:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 08 Feb 2014 18:03:05 GMT) Full text and rfc822 format available.

Message #43 received at 711446@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 711446@bugs.debian.org
Subject: Re: libgraph-writer-graphviz-perl: FTBFS with perl 5.18: test failure
Date: Sat, 8 Feb 2014 18:00:11 +0000
Ian Jackson writes ("libgraph-writer-graphviz-perl: FTBFS with perl 5.18: test failure"):
> I intend to look into this bug and perhaps fix it.  If I fix it I will
> do an NMU.[1]  I did read the Perl team wiki on git usage but I don't
> want to learn a new workflow.

I have now done this.

If you want to rebase my patches into your existing git history, you
can find them by running "dgit fetch sid".  This will generate a ref
remotes/dgit/dgit/sid which contains what I uploaded with the full
history.  I'd also be happy to push them somewhere else if that's
convenient.

Ian.



Reply sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
You have taken responsibility. (Sat, 08 Feb 2014 18:06:19 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Sat, 08 Feb 2014 18:06:19 GMT) Full text and rfc822 format available.

Message #48 received at 711446-close@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 711446-close@bugs.debian.org
Subject: Bug#711446: fixed in libgraph-writer-graphviz-perl 0.11-1nmu1
Date: Sat, 08 Feb 2014 18:03:54 +0000
Source: libgraph-writer-graphviz-perl
Source-Version: 0.11-1nmu1

We believe that the bug you reported is fixed in the latest version of
libgraph-writer-graphviz-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 711446@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ian Jackson <ijackson@chiark.greenend.org.uk> (supplier of updated libgraph-writer-graphviz-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 08 Feb 2014 17:44:11 +0000
Source: libgraph-writer-graphviz-perl
Binary: libgraph-writer-graphviz-perl
Architecture: all source
Version: 0.11-1nmu1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Ian Jackson <ijackson@chiark.greenend.org.uk>
Closes: 711446
Description: 
 libgraph-writer-graphviz-perl - GraphViz Writer for Graph object
Changes: 
 libgraph-writer-graphviz-perl (0.11-1nmu1) unstable; urgency=low
 .
   * Fix FTBFS by sorting output in tests.  Closes:#711446.
Checksums-Sha1: 
 db5ebc7f90823321caf257979e68a437f0882e83 2013 libgraph-writer-graphviz-perl_0.11-1nmu1.dsc
 3a8794b941978f5e4d48c3c13c82cdf5175cfde9 3097 libgraph-writer-graphviz-perl_0.11-1nmu1.debian.tar.gz
 8af4a497eac96f4d505b0007ae64aa4b4929c065 6858 libgraph-writer-graphviz-perl_0.11-1nmu1_all.deb
Checksums-Sha256: 
 8e2d2419e23e0ae08399e2d6a9b431cb13089fabc35c923e7383e72879531b29 2013 libgraph-writer-graphviz-perl_0.11-1nmu1.dsc
 ff5049547838fd153091cba0c86f5d785d56b0ce5125eba474e6affd0305ce45 3097 libgraph-writer-graphviz-perl_0.11-1nmu1.debian.tar.gz
 9d5d7f957e88183cbe38bd6710918981aae5291e356481c088fec6ccf626e652 6858 libgraph-writer-graphviz-perl_0.11-1nmu1_all.deb
Files: 
 3d316ff59a08aff344859ed9614354a8 2013 perl optional libgraph-writer-graphviz-perl_0.11-1nmu1.dsc
 02722c4148ef94d6232b86e942cd1820 3097 perl optional libgraph-writer-graphviz-perl_0.11-1nmu1.debian.tar.gz
 7a9e9154d81fb314edc760c19ecfd86f 6858 perl optional libgraph-writer-graphviz-perl_0.11-1nmu1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJS9m8MAAoJEOPjOSNItQ05HDMH/R+kmFL8vtFSDW7iPFAJn50m
2Oyz96oSw1IBqMr14Mo3yS4TUx8VhdAZjDsDz3pEuojpPP3hkCnijutQgicLMK7Z
5XsDq2hVk2MWYFO35yEG8F+bpWtsJ9E6GJ+YBx5BhsmxjM9TDeyaaMIaKRS9YRMj
m54SdtO9VMd/w7zPgd6p+miiMAN3o0t9M3cKaTxEHVZ3UpiEiSeD3iy6DLAs6t0g
uUsPkxJh7+s+b2i/x8s3ZyBGJek1jL3QprOwloF+VsK5sg7AcKnCYjLccdSoAXI9
TtGpqdGKPG5cnqG/SlVJcyuiZTaznsF40Thha1QArITVOjqHm5kMgBgauM6F4b4=
=4J0C
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#711446; Package src:libgraph-writer-graphviz-perl. (Sat, 08 Feb 2014 20:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 08 Feb 2014 20:03:09 GMT) Full text and rfc822 format available.

Message #53 received at 711446@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>, 711446@bugs.debian.org
Subject: Re: Bug#711446: libgraph-writer-graphviz-perl: FTBFS with perl 5.18: test failure
Date: Sat, 8 Feb 2014 20:58:52 +0100
[Message part 1 (text/plain, inline)]
On Sat, 08 Feb 2014 18:00:11 +0000, Ian Jackson wrote:

> Ian Jackson writes ("libgraph-writer-graphviz-perl: FTBFS with perl 5.18: test failure"):
> > I intend to look into this bug and perhaps fix it.  If I fix it I will
> > do an NMU.[1]  I did read the Perl team wiki on git usage but I don't
> > want to learn a new workflow.
> I have now done this.

Thanks for the bug fix!
 
> If you want to rebase my patches into your existing git history, you
> can find them by running "dgit fetch sid".  This will generate a ref
> remotes/dgit/dgit/sid which contains what I uploaded with the full
> history.  I'd also be happy to push them somewhere else if that's
> convenient.

Thanks, I've now pulled the commits into our git repo.


Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Tote Hosen: Guantanamera
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 19 Mar 2014 07:30:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:15:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.